Bug 1024562 - packstack will fail if mysql is secured for only localhost connections
packstack will fail if mysql is secured for only localhost connections
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Chavero
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 20:11 EDT by Mohammed Arafa
Modified: 2014-10-02 16:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-packstack-2014.1.1-0.29.dev1251.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-02 16:16:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2013-10-29 20:11:22 EDT
Description of problem:
packstack will fail if mysql is secured for only localhost connections

with this error:
Error: Execution of '/usr/bin/mysql --host=192.168.0.31 --user=root --password=password -NBe create database `keystone` character set latin1' returned 1: ERROR 1045 (28000): Access denied for user 'root'@'compute01' (using password: YES)


Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ivan Chavero 2014-01-15 02:19:39 EST
Is mysql previously installed??
Comment 2 Mohammed Arafa 2014-01-15 06:47:00 EST
yes
Comment 3 Ivan Chavero 2014-10-02 16:16:48 EDT
Packstack is suppoused to be executed in a clean environment, however if mysql is previously installed you have to set the proper credentials in the CONFIG_MARIADB_PW entry in the answer file.

Note You need to log in before you can comment on or make changes to this bug.